## cronutils 1.0

=== Makefile ===
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all: runalarm runstat runlock

runalarm: runalarm.c subprocess.c

runlock: runlock.c subprocess.c tempdir.c

runstat: runstat.c subprocess.c tempdir.c

CFLAGS=-Wall -Werror -Wextra -D_XOPEN_SOURCE=500 -g -O0 -ansi -pedantic-errors -Wwrite-strings -Wcast-align -Wcast-qual -Winit-self -Wformat=2 -Wuninitialized -Wmissing-declarations -Wpointer-arith -Wstrict-aliasing -fstrict-aliasing
LDFLAGS=-lrt

SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version

prefix = usr/local
BINDIR = $(prefix)/bin
MANDIR = $(prefix)/man/man1
VERSION = $(shell cat version)

install:
	mkdir -p -m 755 $(ROOT)/$(BINDIR) $(ROOT)/$(MANDIR)
	install -m 755 runalarm runlock runstat $(ROOT)/$(BINDIR)
	install -m 644 runalarm.1 runlock.1 runstat.1 $(ROOT)/$(MANDIR)

clean:
	rm -f runalarm runlock runstat

distclean: clean
	rm -f *~ \#*

dist:
	rm -rf cronutils-$(VERSION) cronutils-$(VERSION).tar cronutils-$(VERSION).tar.gz
	mkdir cronutils-$(VERSION)
	cp $(SOURCES) cronutils-$(VERSION)
	tar cf cronutils-$(VERSION).tar cronutils-$(VERSION)
	gzip -9 cronutils-$(VERSION).tar
	rm -rf cronutils-$(VERSION)


.PHONY: dist clean install distclean

=== debian/changelog ===
cronutils (1.0-1) unstable; urgency=low

  * Initial release (Closes: #634124)

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 09 Jan 2011 14:06:35 -0800

## cronutils 1.1

=== Makefile ===
--- 
+++ 
@@ -27,13 +27,13 @@
 
 prefix = usr/local
 BINDIR = $(prefix)/bin
-MANDIR = $(prefix)/man/man1
+MANDIR = $(prefix)/share/man/man1
 VERSION = $(shell cat version)
 
 install:
-	mkdir -p -m 755 $(ROOT)/$(BINDIR) $(ROOT)/$(MANDIR)
-	install -m 755 runalarm runlock runstat $(ROOT)/$(BINDIR)
-	install -m 644 runalarm.1 runlock.1 runstat.1 $(ROOT)/$(MANDIR)
+	mkdir -p -m 755 $(DESTDIR)/$(BINDIR) $(DESTDIR)/$(MANDIR)
+	install -m 755 runalarm runlock runstat $(DESTDIR)/$(BINDIR)
+	install -m 644 runalarm.1 runlock.1 runstat.1 $(DESTDIR)/$(MANDIR)
 
 clean:
 	rm -f runalarm runlock runstat

=== debian/changelog ===
cronutils (1.1-3) unstable; urgency=low

  * Fix FTBFS on kfreebsd, by defining HOST_NAME_MAX.  (Closes: #635212)
  * Put the libraries at the end of the linker call, allowing building
    with --as-needed linker option (Thanks, Ilya Barygin)  (Closes: #637587)

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 17 Aug 2011 12:04:14 +1000

cronutils (1.1-2) unstable; urgency=low

  * Added debian/watch file.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 24 Jul 2011 00:36:41 +1000

cronutils (1.1-1) unstable; urgency=low

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 24 Jul 2011 00:29:00 +1000

=== debian/control ===
Source: cronutils
Section: admin
Priority: extra
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/cronutils

Package: cronutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities to assist running batch processing jobs
 A set of utilities to complement batch processing jobs, such as those
 run from cron, by limiting concurrent execution of jobs, setting hard
 limits on the runtime of a job, and recording execution statistics of
 a completed job.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.hg

%:
	dh  $@

override_dh_auto_install:
	dh_auto_install -- prefix=usr

=== debian/watch ===
version=3
http://code.google.com/p/cronutils/downloads/list http://cronutils.googlecode.com/files/cronutils-(.*).tar.gz

## cronutils 1.2

=== debian/changelog ===
cronutils (1.2-1) unstable; urgency=low

  * New upstream release

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 21 May 2012 05:30:48 +0000

## cronutils 1.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 runstat: runstat.c subprocess.c tempdir.c
 
 CFLAGS=-Wall -Werror -Wextra -D_XOPEN_SOURCE=500 -g -O0 -ansi -pedantic-errors -Wwrite-strings -Wcast-align -Wcast-qual -Winit-self -Wformat=2 -Wuninitialized -Wmissing-declarations -Wpointer-arith -Wstrict-aliasing -fstrict-aliasing
-LDFLAGS=-lrt
+LDLIBS=-lrt
 
 SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version

=== debian/changelog ===
cronutils (1.3-1) unstable; urgency=low

  * New upstream release. 
  * Updated watch file. 

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Jan 2013 17:31:09 +0000

## cronutils 1.3.1

=== debian/changelog ===
cronutils (1.3.1-1) unstable; urgency=low

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Jan 2013 22:26:39 +0000

## cronutils 1.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS=-Wall -Werror -Wextra -D_XOPEN_SOURCE=500 -g -O0 -ansi -pedantic-errors -Wwrite-strings -Wcast-align -Wcast-qual -Winit-self -Wformat=2 -Wuninitialized -Wmissing-declarations -Wpointer-arith -Wstrict-aliasing -fstrict-aliasing
 LDLIBS=-lrt
 
-SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version
+SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version examples cronutils.spec runcron
 
 prefix = usr/local
 BINDIR = $(prefix)/bin

=== debian/changelog ===
cronutils (1.4-3) unstable; urgency=low

  * Fix build dependency on dpkg-dev. 

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 09 Jan 2013 10:11:00 +0000

cronutils (1.4-2) unstable; urgency=low

  * Update Standards-Version to 3.9.2.
  * Bump debian/compat to 9.
  * Use buildflags.mk in debian/rules to enable hardening flags.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 09 Jan 2013 19:02:57 +1100

cronutils (1.4-1) unstable; urgency=low

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 08 Jan 2013 11:18:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/cronutils
 
 Package: cronutils

## cronutils 1.5

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 runstat: runstat.c subprocess.c tempdir.c
 
-CFLAGS=-Wall -Werror -Wextra -D_XOPEN_SOURCE=500 -g -O0 -ansi -pedantic-errors -Wwrite-strings -Wcast-align -Wcast-qual -Winit-self -Wformat=2 -Wuninitialized -Wmissing-declarations -Wpointer-arith -Wstrict-aliasing -fstrict-aliasing
-LDLIBS=-lrt
+CFLAGS+=-Wall -Werror -Wextra -D_XOPEN_SOURCE=500 -g -ansi -pedantic-errors -Wwrite-strings -Wcast-align -Wcast-qual -Winit-self -Wformat=2 -Wuninitialized -Wmissing-declarations -Wpointer-arith -Wstrict-aliasing -fstrict-aliasing
+LDLIBS+=-lrt
 
 SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version examples cronutils.spec runcron

=== debian/changelog ===
cronutils (1.5-1) unstable; urgency=low

  * New upstream release. 
  * Update standards version.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 28 Aug 2013 07:10:36 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jamie Wilkinson <jaq@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/cronutils
 
 Package: cronutils

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export DH_ALWAYS_EXCLUDE=.hg
+DPKG_EXPORT_BUILDFLAGS=1
+# buildflags hardening
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh  $@

=== debian/watch ===
version=3
http://code.google.com/p/cronutils/downloads/list .*/cronutils-(.*)\.tar\.gz debian

## cronutils 1.6

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS+=-Wall -Werror -Wextra -D_XOPEN_SOURCE=500 -g -ansi -pedantic-errors -Wwrite-strings -Wcast-align -Wcast-qual -Winit-self -Wformat=2 -Wuninitialized -Wmissing-declarations -Wpointer-arith -Wstrict-aliasing -fstrict-aliasing
 LDLIBS+=-lrt
 
-SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version examples cronutils.spec runcron
+SOURCES = runalarm.c runlock.c runstat.c subprocess.c subprocess.h tempdir.c tempdir.h Makefile runalarm.1 runlock.1 runstat.1 version examples cronutils.spec runcron regtest.sh tests
 
 prefix = usr/local
 BINDIR = $(prefix)/bin
@@ -44,10 +44,12 @@
 dist:
 	rm -rf cronutils-$(VERSION) cronutils-$(VERSION).tar cronutils-$(VERSION).tar.gz
 	mkdir cronutils-$(VERSION)
-	cp $(SOURCES) cronutils-$(VERSION)
+	cp -r $(SOURCES) cronutils-$(VERSION)
 	tar cf cronutils-$(VERSION).tar cronutils-$(VERSION)
 	gzip -9 cronutils-$(VERSION).tar
 	rm -rf cronutils-$(VERSION)
 
+test:
+	./regtest.sh
 
-.PHONY: dist clean install distclean
+.PHONY: dist clean install distclean test

=== debian/changelog ===
cronutils (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 01 Jun 2014 13:23:33 +1000

cronutils (1.5-3) unstable; urgency=medium

  * Update the hardening build flags in debian/rules for debhelper 9.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 28 May 2014 18:20:32 +1000

cronutils (1.5-2) unstable; urgency=medium

  * Add VCS fields to the control file. 
  * Update debian/watch to github format, after upstream move.
  * Update standards version to 3.9.5. 
  * Convert debian/copyright to the DEP5 machine readable format. 
  * Add debian/gbp.conf to configure git-buildpackage for the VCS. 

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 28 May 2014 18:03:07 +1000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Jamie Wilkinson <jaq@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/cronutils
+VCS-Browser: https://github.com/google/cronutils/tree/debian
+VCS-Git: https://github.com/google/cronutils.git -b debian
 
 Package: cronutils
 Architecture: any

## cronutils 1.9

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	gzip -9 cronutils-$(VERSION).tar
 	rm -rf cronutils-$(VERSION)
 
-test:
+test: all
 	./regtest.sh
 
 .PHONY: dist clean install distclean test

=== debian/changelog ===
cronutils (1.9-3) unstable; urgency=medium

  * Fix case of Vcs-* fields in control.
  * Use https to refer to dep5 copyright format.
  * Set rules-requires-root in control.
  * Use debhelper-compat dependency instead of debian/compat, bump to 13.
  * Update changelog for 1.9-3~1 release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 12 Oct 2021 14:08:52 +1100

cronutils (1.9-2) unstable; urgency=medium

  * Update URLs in control file.
  * Bump debhelper compat and dependency to 12.
  * Update watch file to format version 4.
  * Bump standards version to 4.5.1.
  * Replace priority `extra' with `optional'.
  * Fix typos in code.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 10 Feb 2021 16:36:06 +1100

cronutils (1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 30 Dec 2015 15:27:34 +1100

cronutils (1.8-1) unstable; urgency=medium

  *  New upstream release.  (Closes: #777828)

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 14 Mar 2015 22:03:25 +1100

cronutils (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 3.9.6.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 14 Mar 2015 21:40:30 +1100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: cronutils
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/cronutils
-VCS-Browser: https://github.com/google/cronutils/tree/debian
-VCS-Git: https://github.com/google/cronutils.git -b debian
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.5.1
+Homepage: https://github.com/google/cronutils
+Vcs-Browser: https://salsa.debian.org/debian/cronutils
+Vcs-Git: https://salsa.debian.org/debian/cronutils.git
+Rules-Requires-Root: no
 
 Package: cronutils
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cronutils-$1\.tar\.gz/ \
  https://github.com/google/cronutils/tags .*/version\/(\d\S*)\.tar\.gz

## cronutils 1.10

=== debian/changelog ===
cronutils (1.10-2) unstable; urgency=medium

  * Disable test 2 because of nondeterminism. (Closes: #863072)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 15 Oct 2024 16:20:34 +1100

cronutils (1.10-1) unstable; urgency=medium

  [ Jamie Wilkinson ]
  * New upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable)

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 18 Aug 2023 13:23:02 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Homepage: https://github.com/google/cronutils
 Vcs-Browser: https://salsa.debian.org/debian/cronutils
 Vcs-Git: https://salsa.debian.org/debian/cronutils.git

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_ALWAYS_EXCLUDE=.hg
-DPKG_EXPORT_BUILDFLAGS=1
-# buildflags hardening
-include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 
 %:
 	dh  $@
